Next: ISATTY, Previous: IS_IOSTAT_END, Up: Intrinsic Procedures

### 8.157 `IS_IOSTAT_EOR` — Test for end-of-record value

Description:
  `IS_IOSTAT_EOR` tests whether an variable has the value of the I/O status “end of record”. The function is equivalent to comparing the variable with the `IOSTAT_EOR` parameter of the intrinsic module `ISO_FORTRAN_ENV`.
Standard:
  Fortran 2003 and later
Class:
  Elemental function
Syntax:
  `RESULT = IS_IOSTAT_EOR(I)`
Arguments:

  I | Shall be of the type `INTEGER`.

Return value:
  Returns a `LOGICAL` of the default kind, which `.TRUE.` if I has the value which indicates an end of file condition for `IOSTAT=` specifiers, and is `.FALSE.` otherwise.
Example:

                PROGRAM iostat
                  IMPLICIT NONE
                  INTEGER :: stat, i(50)
                  OPEN(88, FILE='test.dat', FORM='UNFORMATTED')
                  READ(88, IOSTAT=stat) i
                  IF(IS_IOSTAT_EOR(stat)) STOP 'END OF RECORD'
                END PROGRAM